package com.altinity.opsview.odw.elements;

import org.dom4j.Element;

import com.altinity.opsview.odw.ReportConstants;
import com.altinity.opsview.odw.bc.ODWReportLogger;
import com.altinity.opsview.odw.dao.ODWReportConfigDAO;
import com.altinity.opsview.odw.dao.ODWReportDAO;
import com.altinity.opsview.odw.exception.ReportException;
import com.altinity.opsview.odw.reports.ReportCriteria;
import com.excira.utils.StringUtils;

public class WeeklyServiceManagementSummary extends AbstractReportElement implements ReportConstants {
	
	private String annotation;
	
	/**
	 *
	 */
	public WeeklyServiceManagementSummary(ReportCriteria rc, ODWReportDAO dao, ODWReportConfigDAO configDao, ODWReportLogger log) {
		super(rc, dao, configDao, log);
	}

	/**
	 *
	 */
	public Element addElement(Element elements) {
		
		if ( !hasAnnotation() ) 
			return null;
		
		// Add annotation element
		Element manSummaryEl = elements.addElement("element");
		manSummaryEl.addElement("title").setText("Management Summary");
		manSummaryEl.addAttribute("name", "manSummary");
		
		// Add annotation
		manSummaryEl.addElement("annotation").setText(annotation);
		
		return manSummaryEl;
	}

	/**
	 *
	 */
	public void runQuery() throws ReportException {
		
		annotation = configDao.getAnnotationForReportId(rc);
	}
	
	/**
	 * 
	 */
	public boolean hasAnnotation() {
		
		return StringUtils.notNullOrEmpty(annotation);
	}
}
