package com.altinity.opsview.odw.model;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

import com.altinity.opsview.odw.bc.ODWReportBC;

public class Threshold {
	
	private String type;
	private String os;
	private double ok;
	private double critical;
	
	/**
	 * 
	 */
	public void setCritical(double critical) {
		this.critical = critical;
	}
	
	/**
	 * 
	 */
	public void setOk(double ok) {
		this.ok = ok;
	}
	
	/**
	 * 
	 */
	public void setOs(String os) {
		this.os = os;
	}
	
	/**
	 * 
	 */
	public void setType(String type) {
		this.type = type;
	}
	
	/**
	 * 
	 */
	public String getKey() {
		return type + os;
	}
	
	/**
	 * 
	 */
	public String categorize(double value) {
		
		if ( value < ok )
			return ODWReportBC.STATUS_OK;
		else if ( value >= ok && value < critical )
			return ODWReportBC.STATUS_WARNING;
		else if ( value >= critical )
			return ODWReportBC.STATUS_CRITICAL;
		
		throw new RuntimeException("Unrecognized category for value: " + value);
	}
	
	/**
	 * 
	 */
	public boolean isPercentage() {
		return !(os.equals(ODWReportBC.OSXUNIX) && type.equals(ODWReportBC.CPU));
	}
}
