package com.altinity.opsview.odw.reports.test;

import java.io.File;
import java.io.IOException;

import junit.framework.TestCase;

import org.jfree.chart.ChartUtilities;
import org.jfree.chart.JFreeChart;
import org.springframework.jdbc.datasource.DriverManagerDataSource;

import com.altinity.opsview.odw.dao.ODWReportConfigDAO;
import com.altinity.opsview.odw.dao.ODWReportDAO;


public class TestBase extends TestCase  {
	
	protected ODWReportDAO odwDAO;
	protected ODWReportConfigDAO reportsDAO;
	
	/**
	 * 
	 */
	protected void setUp() throws Exception {
		
		super.setUp();
		
		if ( odwDAO != null && reportsDAO != null )
			return;
			
		// Create ODW data source and set on DAO
		DriverManagerDataSource odwDs = new DriverManagerDataSource();
		odwDs.setDriverClassName("com.mysql.jdbc.Driver");
		odwDs.setUrl("jdbc:mysql://127.0.0.1:3306/odw");
		odwDs.setUsername("root");
		odwDs.setPassword("g0tm0th");
		
		odwDAO = new ODWReportDAO();
		odwDAO.setDataSource(odwDs);
		
		// Now create reports data source and set on DAO
		DriverManagerDataSource reportsDs = new DriverManagerDataSource();
		reportsDs.setDriverClassName("com.mysql.jdbc.Driver");
		reportsDs.setUrl("jdbc:mysql://127.0.0.1:3306/reports");
		reportsDs.setUsername("root");
		reportsDs.setPassword("g0tm0th");
		
		reportsDAO = new ODWReportConfigDAO();
		reportsDAO.setDataSource(reportsDs);		
	}
	
	
	/**
	 * 
	 * @param bimage
	 * @param fileName
	 */
	protected String saveImageToTempDir(JFreeChart chart, String name) {
	
		String filePath =  System.getProperty("user.dir") + "/test/" + name + ".jpeg";

		File f = new File(filePath);
		
		// Save the chart
		try {

			ChartUtilities.saveChartAsJPEG(f, 1, chart,1000,333);
			
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return filePath;
	}	
}
