<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE foo [
	<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<!-- *************************************************************************************************
	Detail
	*************************************************************************************************** -->
	<xsl:template name="weeklyDetail" match="element[@name='weeklyDetail']">
		<fo:block space-after="1cm"/>
			<xsl:choose>
				<xsl:when test="empty">
					<fo:block>No detail data found for report period.</fo:block>
				</xsl:when>
				<xsl:otherwise>		
					<xsl:for-each select="servicechecks/servicecheck">
						<fo:block>
							<xsl:if test="@break-after">
								<xsl:attribute name="break-after">
									<xsl:value-of select="@break-after" />
								</xsl:attribute>
							</xsl:if>
							<xsl:call-template name="chart"/>
							<xsl:call-template name="availPercentage"/>
						</fo:block>
					</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>			
		<fo:block></fo:block>		
	</xsl:template>
	
	<!-- *************************************************************************************************
	Chart
	*************************************************************************************************** -->
	<xsl:template name="chart" match="chart">
		<fo:block keep-with-next="never" xsl:use-attribute-sets="center elementHeading">
			<xsl:value-of select="chart/title"/>
		</fo:block>
		<fo:block keep-with-next="always" xsl:use-attribute-sets="center elementSubHeading">
			<xsl:value-of select="chart/subTitle"/>
		</fo:block>		
		<fo:block xsl:use-attribute-sets="center">
			<fo:external-graphic src="url('{/report/charts-root}/{chart/filePath}')" content-width="500px" />
		</fo:block>
		<fo:block xsl:use-attribute-sets="center text">
			<fo:inline background-color="green">&nbsp;&nbsp;&nbsp;</fo:inline>&nbsp;&nbsp;OK&nbsp;&nbsp;
			<fo:inline background-color="#ffd200">&nbsp;&nbsp;&nbsp;</fo:inline>&nbsp;&nbsp;Scheduled&nbsp;&nbsp;
			<fo:inline background-color="red">&nbsp;&nbsp;&nbsp;</fo:inline>&nbsp;&nbsp;Unscheduled
		</fo:block>
	</xsl:template>	
	
	<!-- *************************************************************************************************
	Table
	*************************************************************************************************** -->		
	<xsl:template name="availPercentage" match="availPercentage">
		<fo:block xsl:use-attribute-sets="center element elementSubHeading">
			<xsl:value-of select="availPercentage/title"/>
		</fo:block>
		<fo:table width="100%">
			<fo:table-column/>
			<fo:table-column/>
			<fo:table-column/>
			<fo:table-body >
				<fo:table-row>
					<fo:table-cell >
						<fo:block/>
					</fo:table-cell>        	
					<fo:table-cell xsl:use-attribute-sets="tableCellBreakdown">
						<fo:table table-layout="fixed" xsl:use-attribute-sets="table">
							<fo:table-column/>
							<xsl:for-each select="availPercentage/cols/col">
								<fo:table-column/>
							</xsl:for-each>
							<fo:table-body>
								<fo:table-row xsl:use-attribute-sets="bold center">
									<fo:table-cell xsl:use-attribute-sets="tableCell" width="90px">
										<fo:block keep-with-next.within-page="always">APPLICATION</fo:block>
									</fo:table-cell>
									<xsl:for-each select="availPercentage/cols/col">
										<fo:table-cell xsl:use-attribute-sets="tableCell">
											<fo:block><xsl:value-of select="."/></fo:block>
										</fo:table-cell>
									</xsl:for-each>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="tableCell">
										<fo:block xsl:use-attribute-sets="bold center" keep-together.within-page="always">OK</fo:block>
									</fo:table-cell>
									<xsl:for-each select="availPercentage/oks/okValue">
										<fo:table-cell xsl:use-attribute-sets="right tableCell">
											<fo:block><xsl:value-of select="."/></fo:block>
										</fo:table-cell>
									</xsl:for-each>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="tableCell">
										<fo:block xsl:use-attribute-sets="bold center">SCHEDULED</fo:block>
									</fo:table-cell>
									<xsl:for-each select="availPercentage/scheds/schedValue">
										<fo:table-cell xsl:use-attribute-sets="right tableCell">
											<fo:block><xsl:value-of select="."/></fo:block>
										</fo:table-cell>
									</xsl:for-each>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="tableCell">
										<fo:block xsl:use-attribute-sets="bold center">UNSCHEDULED</fo:block>
									</fo:table-cell>
									<xsl:for-each select="availPercentage/unscheds/unschedValue">
										<fo:table-cell xsl:use-attribute-sets="right tableCell">
											<fo:block><xsl:value-of select="."/></fo:block>
										</fo:table-cell>
									</xsl:for-each>
								</fo:table-row>				
							</fo:table-body>
						</fo:table>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block/>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>		
</xsl:stylesheet>